.facebook-feed.template-1 {
    display: flex;
    position: relative;

    background: var(--section-background-mobile-color, rgba(0, 0, 0, 0.00));

    min-width: var(--section-dimensions-mobile-minWidth, auto);
    width: var(--section-dimensions-mobile-width, auto);
    max-width: var(--section-dimensions-mobile-maxWidth, none);
    min-height: var(--section-dimensions-mobile-minHeight, auto);
    height: var(--section-dimensions-mobile-height, auto);
    max-height: var(--section-dimensions-mobile-maxHeight, none);

    margin: var(--section-margin-mobile-top, 0) var(--section-margin-mobile-right, 0) var(--section-margin-mobile-bottom, 0) var(--section-margin-mobile-left, 0);
    padding: calc(var(--section-padding-mobile-top, 3) * 1rem) calc(var(--section-padding-mobile-right, 3) * 1rem) calc(var(--section-padding-mobile-bottom, 3) * 1rem) calc(var(--section-padding-mobile-left, 3) * 1rem);
    border-style: var(--section-border-mobile-top-style, solid) var(--section-border-mobile-right-style, solid) var(--section-border-mobile-bottom-style, solid) var(--section-border-mobile-left-style, solid);
    border-width: calc(var(--section-border-mobile-top-width, 0) * 1rem) calc(var(--section-border-mobile-right-width, 0) * 1rem) calc(var(--section-border-mobile-bottom-width, 0) * 1rem) calc(var(--section-border-mobile-left-width, 0) * 1rem);
    border-color: var(--section-border-mobile-top-color, rgba(255, 255, 255, 1.00)) var(--section-border-mobile-right-color, rgba(255, 255, 255, 1.00)) var(--section-border-mobile-bottom-color, rgba(255, 255, 255, 1.00)) var(--section-border-mobile-left-color, rgba(255, 255, 255, 1.00));
    border-radius: calc(var(--section-border-mobile-left-radius, 0) * 1rem) calc(var(--section-border-mobile-top-radius, 0) * 1rem) calc(var(--section-border-mobile-right-radius, 0) * 1rem) calc(var(--section-border-mobile-bottom-radius, 0) * 1rem);

    gap: calc(var(--section-flexbox-mobile-rowGap, 0.5) * 1rem) calc(var(--section-flexbox-mobile-columnGap, 1) * 1rem);
    flex-direction: var(--section-flexbox-mobile-flexDirection, column);
    justify-content: var(--section-flexbox-mobile-justifyContent, flex-start);
    align-content: var(--section-flexbox-mobile-alignContent, center);
    align-items: var(--section-flexbox-mobile-alignItems, start);
    flex-wrap: var(--section-flexbox-mobile-flexWrap, wrap);

    & .fb-title {
        margin: var(--title-margin-mobile-top, 0) var(--title-margin-mobile-right, 0) var(--title-margin-mobile-bottom, 0) var(--title-margin-mobile-left, 0);
        padding: calc(var(--title-padding-mobile-top, 0) * 1rem) calc(var(--title-padding-mobile-right, 0.5) * 1rem) calc(var(--title-padding-mobile-bottom, 0) * 1rem) calc(var(--title-padding-mobile-left, 0.5) * 1rem);

        font-size: calc(var(--title-font-mobile-fontSize, 1.75) * 1rem);
        font-weight: var(--title-font-mobile-fontWeight, 700);
        line-height: var(--title-font-mobile-lineHeight, 1);
        text-align: var(--title-font-mobile-textAlign, center);
        font-family: var(--title-font-mobile-fontFamily, var(--heading-font-family));
        text-transform: var(--title-font-mobile-textTransform, none);
        color: var(--title-font-mobile-textColor, rgba(0, 0, 0, 1));
    }

    & .fb-description {
        margin: var(--description-margin-mobile-top, 1rem) var(--description-margin-mobile-right, 0) var(--description-margin-mobile-bottom, 1rem) var(--description-margin-mobile-left, 0);
        padding: calc(var(--description-padding-mobile-top, 0) * 1rem) calc(var(--description-padding-mobile-right, 0.5) * 1rem) calc(var(--description-padding-mobile-bottom, 0) * 1rem) calc(var(--description-padding-mobile-left, 0.5) * 1rem);
        
        font-size: calc(var(--description-font-mobile-fontSize, 1) * 1rem);
        font-weight: var(--description-font-mobile-fontWeight, 400);
        line-height: var(--description-font-mobile-lineHeight, 1);
        text-align: var(--description-font-mobile-textAlign, center);
        font-family: var(--description-font-mobile-fontFamily, var(--global-font-family));
        text-transform: var(--description-font-mobile-textTransform, none);
        color: var(--description-font-mobile-textColor, rgba(0, 0, 0, 1));

        width: 100%;
    }

    & .facebook-container {
        width: 31.25rem;
    }

    & .facebook-container, & iframe {
        border-style: var(--iframe-border-mobile-top-style, solid) var(--iframe-border-mobile-right-style, solid) var(--iframe-border-mobile-bottom-style, solid) var(--iframe-border-mobile-left-style, solid);
        border-width: calc(var(--iframe-border-mobile-top-width, 0) * 1rem) calc(var(--iframe-border-mobile-right-width, 0) * 1rem) calc(var(--iframe-border-mobile-bottom-width, 0) * 1rem) calc(var(--iframe-border-mobile-left-width, 0) * 1rem);
        border-color: var(--iframe-border-mobile-top-color, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-right-color, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-bottom-color, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-left-color, rgba(255, 255, 255, 1.00));
        border-radius: calc(var(--iframe-border-mobile-left-radius, 0) * 1rem) calc(var(--iframe-border-mobile-top-radius, 0) * 1rem) calc(var(--iframe-border-mobile-right-radius, 0) * 1rem) calc(var(--iframe-border-mobile-bottom-radius, 0) * 1rem);

        &:hover {
            border-color: var(--iframe-border-mobile-top-colorHover, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-right-colorHover, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-bottom-colorHover, rgba(255, 255, 255, 1.00)) var(--iframe-border-mobile-left-colorHover, rgba(255, 255, 255, 1.00));
        }
    }
}

@container page-container (min-width: 768px) {
    .facebook-feed.template-1 {
        min-width: var(--section-dimensions-tablet-minWidth, auto);
        width: var(--section-dimensions-tablet-width, auto);
        max-width: var(--section-dimensions-tablet-maxWidth, none);
        min-height: var(--section-dimensions-tablet-minHeight, auto);
        height: var(--section-dimensions-tablet-height, auto);
        max-height: var(--section-dimensions-tablet-maxHeight, none);

        margin: var(--section-margin-tablet-top, 0) var(--section-margin-tablet-right, 0) var(--section-margin-tablet-bottom, 0) var(--section-margin-tablet-left, 0);
        padding: calc(var(--section-padding-tablet-top, 3) * 1rem) calc(var(--section-padding-tablet-right, 3) * 1rem) calc(var(--section-padding-tablet-bottom, 3) * 1rem) calc(var(--section-padding-tablet-left, 3) * 1rem);

        border-width: calc(var(--section-border-tablet-top-width, 0) * 1rem) calc(var(--section-border-tablet-right-width, 0) * 1rem) calc(var(--section-border-tablet-bottom-width, 0) * 1rem) calc(var(--section-border-tablet-left-width, 0) * 1rem);
        border-radius: calc(var(--section-border-tablet-left-radius, 0) * 1rem) calc(var(--section-border-tablet-top-radius, 0) * 1rem) calc(var(--section-border-tablet-right-radius, 0) * 1rem) calc(var(--section-border-tablet-bottom-radius, 0) * 1rem);

        gap: calc(var(--section-flexbox-tablet-rowGap, 0.5) * 1rem) calc(var(--section-flexbox-tablet-columnGap, 1) * 1rem);
        flex-direction: var(--section-flexbox-tablet-flexDirection, column);
        justify-content: var(--section-flexbox-tablet-justifyContent, flex-start);
        align-content: var(--section-flexbox-tablet-alignContent, center);
        align-items: var(--section-flexbox-tablet-alignItems, start);
        flex-wrap: var(--section-flexbox-tablet-flexWrap, wrap);

        & .fb-title {
            margin: var(--title-margin-tablet-top, 0) var(--title-margin-tablet-right, 0) var(--title-margin-tablet-bottom, 0) var(--title-margin-tablet-left, 0);
            padding: calc(var(--title-padding-tablet-top, 0) * 1rem) calc(var(--title-padding-tablet-right, 0.5) * 1rem) calc(var(--title-padding-tablet-bottom, 0) * 1rem) calc(var(--title-padding-tablet-left, 0.5) * 1rem);
            font-size: calc(var(--title-font-tablet-fontSize, 3) * 1rem);
            line-height: var(--title-font-tablet-lineHeight, 1);
            text-align: var(--title-font-tablet-textAlign, start);
        }
        & .fb-description {
            margin: var(--description-margin-tablet-top, 1rem) var(--description-margin-tablet-right, 0) var(--description-margin-tablet-bottom, 1) var(--description-margin-tablet-left, 0);
            padding: calc(var(--description-padding-tablet-top, 0) * 1rem) calc(var(--description-padding-tablet-right, 0.5) * 1rem) calc(var(--description-padding-tablet-bottom, 0) * 1rem) calc(var(--description-padding-tablet-left, 0.5) * 1rem);
            font-size: calc(var(--description-font-tablet-fontSize, 1.25) * 1rem);
            line-height: var(--description-font-tablet-lineHeight, 1);
            text-align: var(--description-font-tablet-textAlign, start);
        }

        & .facebook-container, & iframe {
            border-width: calc(var(--iframe-border-tablet-top-width, 0) * 1rem) calc(var(--iframe-border-tablet-right-width, 0) * 1rem) calc(var(--iframe-border-tablet-bottom-width, 0) * 1rem) calc(var(--iframe-border-tablet-left-width, 0) * 1rem);
            border-radius: calc(var(--iframe-border-tablet-left-radius, 0) * 1rem) calc(var(--iframe-border-tablet-top-radius, 0) * 1rem) calc(var(--iframe-border-tablet-right-radius, 0) * 1rem) calc(var(--iframe-border-tablet-bottom-radius, 0) * 1rem);
        }
    }
}

@container page-container (min-width: 992px) {
    .facebook-feed.template-1 {
        min-width: var(--section-dimensions-desktop-minWidth, auto);
        width: var(--section-dimensions-desktop-width, auto);
        max-width: var(--section-dimensions-desktop-maxWidth, none);
        min-height: var(--section-dimensions-desktop-minHeight, auto);
        height: var(--section-dimensions-desktop-height, auto);
        max-height: var(--section-dimensions-desktop-maxHeight, none);

        margin: var(--section-margin-desktop-top, 0) var(--section-margin-desktop-right, 0) var(--section-margin-desktop-bottom, 0) var(--section-margin-desktop-left, 0);
        padding: calc(var(--section-padding-desktop-top, 3) * 1rem) calc(var(--section-padding-desktop-right, 3) * 1rem) calc(var(--section-padding-desktop-bottom, 3) * 1rem) calc(var(--section-padding-desktop-left, 3) * 1rem);

        border-width: calc(var(--section-border-desktop-top-width, 0) * 1rem) calc(var(--section-border-desktop-right-width, 0) * 1rem) calc(var(--section-border-desktop-bottom-width, 0) * 1rem) calc(var(--section-border-desktop-left-width, 0) * 1rem);
        border-radius: calc(var(--section-border-desktop-left-radius, 0) * 1rem) calc(var(--section-border-desktop-top-radius, 0) * 1rem) calc(var(--section-border-desktop-right-radius, 0) * 1rem) calc(var(--section-border-desktop-bottom-radius, 0) * 1rem);

        gap: calc(var(--section-flexbox-desktop-rowGap, 0.5) * 1rem) calc(var(--section-flexbox-desktop-columnGap, 1) * 1rem);
        flex-direction: var(--section-flexbox-desktop-flexDirection, column);
        justify-content: var(--section-flexbox-desktop-justifyContent, flex-start);
        align-content: var(--section-flexbox-desktop-alignContent, center);
        align-items: var(--section-flexbox-desktop-alignItems, start);
        flex-wrap: var(--section-flexbox-desktop-flexWrap, wrap);

        & .fb-title {
            margin: var(--title-margin-desktop-top, 0) var(--title-margin-desktop-right, 0) var(--title-margin-desktop-bottom, 0) var(--title-margin-desktop-left, 0);
            padding: calc(var(--title-padding-desktop-top, 0) * 1rem) calc(var(--title-padding-desktop-right, 0.5) * 1rem) calc(var(--title-padding-desktop-bottom, 0) * 1rem) calc(var(--title-padding-desktop-left, 0.5) * 1rem);
            font-size: calc(var(--title-font-desktop-fontSize, 3) * 1rem);
            line-height: var(--title-font-desktop-lineHeight, 1);
            text-align: var(--title-font-desktop-textAlign, start);
        }
        & .fb-description {
            margin: var(--description-margin-desktop-top, 1rem) var(--description-margin-desktop-right, 0) var(--description-margin-desktop-bottom, 1rem) var(--description-margin-desktop-left, 0);
            padding: calc(var(--description-padding-desktop-top, 0) * 1rem) calc(var(--description-padding-desktop-right, 0.5) * 1rem) calc(var(--description-padding-desktop-bottom, 0) * 1rem) calc(var(--description-padding-desktop-left, 0.5) * 1rem);
            font-size: calc(var(--description-font-desktop-fontSize, 1.25) * 1rem);
            line-height: var(--description-font-desktop-lineHeight, 1);
            text-align: var(--description-font-desktop-textAlign, start);
        }

        & .facebook-container, & iframe {
            border-width: calc(var(--iframe-border-desktop-top-width, 0) * 1rem) calc(var(--iframe-border-desktop-right-width, 0) * 1rem) calc(var(--iframe-border-desktop-bottom-width, 0) * 1rem) calc(var(--iframe-border-desktop-left-width, 0) * 1rem);
            border-radius: calc(var(--iframe-border-desktop-left-radius, 0) * 1rem) calc(var(--iframe-border-desktop-top-radius, 0) * 1rem) calc(var(--iframe-border-desktop-right-radius, 0) * 1rem) calc(var(--iframe-border-desktop-bottom-radius, 0) * 1rem);
        }
    }
}